import { useState, useEffect, useRef } from 'react';

import '../assets/style/person.css';

const Person = ( { name = 'Anonymous', age, started, delay } ) => {
   
const [ currentAge, setCurrentAge ] = useState(age);
const timer = useRef( undefined );

useEffect( () => {
      clearInterval( timer.current );
      if (started) {
         timer.current = setInterval( () => { 
                                             setCurrentAge( previousCurrentAge => previousCurrentAge + 1 );
                                             console.log('timer is running');
                                       }, delay);
      }
   }, [started, delay] );

return (
   <div className="person">Here is :
      <div>name : <span>{ name }</span> </div>
      <div>age  : <span>{ currentAge } </span>  </div>
   </div>
);
}
export default Person;
